# Contributing

Contributions are welcome, and they are greatly appreciated\! Every
little bit helps, and credit will always be given.

You can contribute in many ways:

## Types of Contributions

### Report Bugs

Report bugs at <https://github.com/GitJournal/GitJournal/issues>.

If you are reporting a bug, please include:

  - Your operating system name and version.
  - Any details about your local setup that might be helpful in
    troubleshooting.
  - Detailed steps to reproduce the bug.

### Fix Bugs

Look through the GitHub issues for bugs. Anything tagged with "bug" is
open to whoever wants to implement it.

### Implement Features

Look through the GitHub issues for features. Anything tagged with
"feature" is open to whoever wants to implement it.

### Submit Feedback

The best way to send feedback is to file an issue at
<https://github.com/GitJournal/GitJournal/issues>.

If you are proposing a feature:

  - Explain in detail how it would work.
  - Keep the scope as narrow as possible, to make it easier to
    implement.
  - Remember that this is a open source project, and that
    contributions are welcome :)

## Get Started!

Ready to contribute? Here's how to set up GitJournal for local development.

1.  Fork the GitJournal repo on GitHub.

2.  Clone your fork locally:
    
        $ git clone git@github.com:your_name_here/GitJournal.git

3.  Refer to [build instructions](BUILD.md) for local development.

4.  Create a branch for local development:
    
        $ git checkout -b name-of-your-bugfix-or-feature
    
    Now you can make your changes locally.

5.  Commit your changes and push your branch to GitHub:
    
        $ git add .
        $ git commit -m "Your detailed description of your changes."
        $ git push origin name-of-your-bugfix-or-feature

6.  Submit a pull request through the GitHub website.
