/*
 * SPDX-FileCopyrightText: 2019-2021 Vishesh Handa <me@vhanda.in>
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 */

import 'package:flutter/widgets.dart';

import '../note.dart';
import 'notes_folder_config.dart';
import 'notes_folder_notifier.dart';

export 'notes_folder_config.dart';

abstract class NotesFolder implements NotesFolderNotifier {
  bool get isEmpty;
  bool get hasNotes;
  String get name;
  String publicName(BuildContext context);

  List<Note> get notes;
  List<NotesFolder> get subFolders;
  NotesFolder? get parent;
  NotesFolder? get fsFolder;

  NotesFolderConfig get config;
}
